Bug 86021 - HYUNDAI ImageQuest Q910 (19 inch) not found
HYUNDAI ImageQuest Q910 (19 inch) not found
Product: Red Hat Linux
Classification: Retired
Component: rhpl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-03-12 11:01 EST by lupus
Modified: 2007-04-18 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-28 19:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lupus 2003-03-12 11:01:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 

Description of problem:
my monitor isn't shown in the list with monitors

can someone add it to the list?

specs(from the official HYUNDAI site):

 HYUNDAI ImageQuest Q910  (19 inch)

canning Frequency  
Horizontal   30k ~ 107 kHz 
 Vertical   50 ~ 150 Hz 
 Pixel Rates  229.5 MHz 
 Resolution  Max  1600 X 1200 @ 85 Hz 
 Recommended  1280 X 1024 @ 85 Hz 
 Active Display Size
 (H x V)  Default   352 x 264 mm 
 Full Scan   368 x 275 mm 
 Display Color  Infinite 
 Plug-and-Play  VESA DDC 1/2B 
 Factory Preset Modes  720 x 400 @ 70 Hz
 640 x 480 @ 60/120 Hz 
 800 x 600 @ 85 Hz
 1024 x 768 @ 85/100 Hz
 1152 x 864 @ 75 Hz
 1280 x 1024 @ 75/85 Hz
 1600 x 1200 @ 75/85 Hz 
 Macintosh Compatibles   640 x 480 @ 66.7 Hz
 832 x 624 @ 75 Hz 
 1024 x 768 @ 75 Hz
 1152 x 870 @ 75/85 Hz 

thx for the trouble

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start configure X

Actual Results:  monitor not found

Expected Results:  monitor in list or automaticly found

Additional info:
Comment 1 Brent Fox 2003-03-12 11:45:28 EST
Can you run 'ddcprobe' as root on the command line and attach the output?  We
need to know what the monitor ID number is before we can add it to the MonitorsDB.
Comment 2 lupus 2003-03-14 08:58:36 EST
I ran ddcprobe but it said:
no dcc monitor connected?

but on the site of HYUNDAI:
Plug-and-Play  VESA DDC 1/2B 

so it should find it, not?
Comment 3 lupus 2003-03-14 09:01:42 EST
this is the inf file for windows maybe this helps

; Q910.INF
; Copyright 2002, ImageQuest Co., Ltd.
; This is a INF file for installing monitors for Windows.





1="ImageQuest Monitor Installation Disk",,1



%Q910%=Q910.Install, Monitor\IQT2910

AddReg=Q910.AddReg, 1600, DPMS







ImageQuest="ImageQuest Co., Ltd."
Q910="ImageQuest Q910"
Comment 4 lupus 2003-03-14 09:13:55 EST
SiSoftware Sandra

Setup Name : Plug en Play-monitor
Maximum Resolution : 1600x1200
DPMS Energy Star Compliant : Yes

PnP/DDC Monitor Data
Manufacturer : IQT
Model ID : 2910
Serial Number : 01317F20
Manufacture Date : 2002 week 43
Display Type : RGB colour
CRT/Panel Size : 18 in
Max. Horizontal/Vertical CRT/Panel Size : 360 mm / 270 mm
Input Signal Type : Analog Sync on Green 0.7/0.3V 
Gamma Factor : 2.00
DPMS Modes Supported : Off Suspend Standby 
EDID Version : 1.03

Monitor Established Timings
Video Mode 0 : 640x480 at 60Hz NI
Video Mode 1 : 640x480 at 75Hz NI
Video Mode 2 : 800x600 at 60Hz NI
Video Mode 3 : 800x600 at 72Hz NI
Video Mode 4 : 800x600 at 75Hz NI
Video Mode 5 : 1024x768 at 75Hz NI

Monitor Standard Timings
Video Mode 0 : 800x600 at 85Hz
Video Mode 1 : 1024x768 at 85Hz
Video Mode 2 : 1152x864 at 75Hz
Video Mode 3 : 1280x1024 at 85Hz
Video Mode 4 : 1600x1200 at 75Hz
Video Mode 5 : 1600x1200 at 85Hz

That's all the info I have :)

but why ddcprobe can"t find him is weird :s 
Comment 5 Brent Fox 2003-03-14 11:32:21 EST
Hmm, if ddcprobe can't get the Monitor ID by probing the hardware, then it can't
look it up in the MonitorsDB.  I'm going to transfer this bug to rhpl, which is
the package that contains ddcprobe.  
Comment 6 Jeremy Katz 2003-03-14 11:43:56 EST
DDC requires both the video card and the monitor to cooperate.  If ddcprobe says
that there's no DDC monitor connected, there's not a lot we can do.
Comment 7 lupus 2003-03-14 12:35:18 EST
got a nforce GPU 
Comment 8 Mike A. Harris 2003-03-14 13:25:17 EST
If you are using a KVM switch, DDC may fail.  That is not however a bug.

If you're not using a KVM, then DDC should generally work if the monitor,
video card, and driver all support DDC in a compatible manner.

The nv driver supports DDC2.  There is code for DDC1 #if'd out, as well
as vesa DDC commented out.  If there is any problem with the "nv" driver's
DDC support however, Nvidia will have to fix it personally since they
are the only ones who know how their video hardware works and do not release
their specifications to others so there is not much we can do in any case
Comment 9 lupus 2003-03-17 14:00:20 EST
I'm using nv driver

with edid under windows 2000
I retrieve this:

Comment 10 Mike A. Harris 2003-03-17 14:22:30 EST
Sorry, but raw hexadecimal values in a screenshot isn't really useful

Your monitor supports the required functionality, however in order for DDC
to work, it requires several things:

1) The monitor must support DDC
2) The video card must also support DDC, and must support the same version(s)
   of DDC that the monitor supports, and on the type of display (CRT/DFP/etc.)
   that the display is.
3) The video driver for your video card must support DDC, and must also
   support DDC on the type of display (CRT/DFP/etc.) that you are trying
   to use.  The video driver must implement a version of DDC that is
   compatible with the CRT/DFP also.
4) There must not be any KVM switch or other hardware in between the video
   card and the CRT/DFP that might prevent the DDC probe from working
5) The CRT/DFP must be powered on when the video driver attempts to perform
   the probe (assuming that all of the above points are all met)

If for whatever reason any of those conditions are not true, then DDC
may fail or be unuseable, and there is nothing that we can do about it.

In particular, the "nv" driver is not something that we can readily fix
or hack around with as we do not have Nvidia's specifications for how their
video hardware works.  This requires Nvidia to fix the "nv" driver if it
is a video driver issue.

Please attach your Monitor's .INF file to the bug report as a file attachment
(not cut and paste, which is kind of useless), and we can ensure it is listed
in the database.  Also attach your X server log and config file from after
running "redhat-config-xfree86 --reconfig" manually.

That should provide the necessary information to determine what the problem
is, and wether or not there is anything that we can do about it.

Comment 11 lupus 2003-03-17 14:30:57 EST
I guess that that nv driver is the cause then :s
cause with win2k there are no probs to probe it

the inf file you asked for ;)

should I contact xfree for the probing problem?
I'm using 8.1 beta and in 8.0 it wasn't found also 
but maybe it is resolved in xfree86-4.3?
Comment 12 Mike A. Harris 2003-03-18 01:57:19 EST
Thanks.  I've processed the .INF file.  Please try adding the following
line to the file:  /usr/share/hwdata/MonitorsDB

ImageQuest Co., Ltd.; ImageQuest Q910; IQT2910; 30.0-110.0; 50.0-150.0; 1

Comment 13 Mike A. Harris 2003-03-18 02:00:43 EST
MonitorsDB updated with entry.

Note You need to log in before you can comment on or make changes to this bug.